import _inheritsLoose from "@babel/runtime/helpers/esm/inheritsLoose";
import _applyDecoratedDescriptor from "@babel/runtime/helpers/esm/applyDecoratedDescriptor";
var _class;
import { inlineError } from '@s-ui/decorators';
import { PasswordRepository } from './PasswordRepository.js';
export var HTTPPasswordRepository = (_class = /*#__PURE__*/function (_PasswordRepository) {
  _inheritsLoose(HTTPPasswordRepository, _PasswordRepository);
  function HTTPPasswordRepository(_ref) {
    var _this;
    var config = _ref.config,
      fetcher = _ref.fetcher;
    _this = _PasswordRepository.call(this) || this;
    _this._config = config;
    _this._fetcher = fetcher;
    return _this;
  }
  var _proto = HTTPPasswordRepository.prototype;
  _proto.resetPassword = function resetPassword(_ref2) {
    var resetPasswordRequest = _ref2.resetPasswordRequest;
    var email = resetPasswordRequest.getEmail();
    var path = this._config.get('RESET_PASSWORD_ENDPOINT');
    return this._fetcher.post({
      path: path,
      params: {
        email: email
      }
    }).then(function () {
      return true;
    }).catch(function () {
      throw new Error('Unhandled error ocurred');
    });
  };
  return HTTPPasswordRepository;
}(PasswordRepository), (_applyDecoratedDescriptor(_class.prototype, "resetPassword", [inlineError], Object.getOwnPropertyDescriptor(_class.prototype, "resetPassword"), _class.prototype)), _class);