import FetcherFactory from '../../fetcher/factory.js';
import { HTTPPasswordRepository } from './HTTPPasswordRepository.js';
export var PasswordRepositoriesFactory = function PasswordRepositoriesFactory() {};
PasswordRepositoriesFactory.hTTPPasswordRepository = function (_ref) {
  var config = _ref.config;
  return new HTTPPasswordRepository({
    config: config,
    fetcher: FetcherFactory.unauthenticatedFetcher({
      config: config
    })
  });
};