import { PasswordRepositoriesFactory } from '../Repositories/factory.js';
import { ResetPasswordService } from './ResetPasswordService.js';
export var PasswordServicesFactory = function PasswordServicesFactory() {};
PasswordServicesFactory.resetPasswordService = function (_ref) {
  var config = _ref.config;
  return new ResetPasswordService({
    passwordRepository: PasswordRepositoriesFactory.hTTPPasswordRepository({
      config: config
    })
  });
};